#include <iostream>
#include <unordered_map>
#include <string>

using namespace std;

int main() {
	/*
	Синтаксис: unordered_map<тип_ключа, тип_значения> имя;
	Методы:
	.count(key) - true если существует ключ key, иначе false
	.erase(key) - удалить запись с ключом key
	.begin() - возвращает итератор к первому элементу
	.end() - возвращет итератор точке после последнего элемента
	*/
	unordered_map<string, string> spnumbers;

	spnumbers = { {"one", "uno"}, {"two", "dos"} };

	spnumbers["three"] = "tres";
	spnumbers["four"] = "cuatro";

	cout << "Значение с ключом 'one': ";
	cout << spnumbers["one"] << endl;

	cout << "Размер таблицы: ";
	cout << spnumbers.size() << endl;

	// Итерация таблицы:
	for (auto i=spnumbers.begin(); i!=spnumbers.end(); i++){
		cout << i->first << ":";
		cout << i->second << endl;
	}
	return 0;
}